Subject: Re: [Bitcoin-development] Revocability with known trusted escrow services?

From: "Leszek Rychlewski" <[email-masked]>
Date: Thu, 6 Jun 2013 11:01:52 +0200

Transactions with cash are even less revocable (there is no negative cash
balance while a btc wallet can have a negative balance) so it looks like the
authorities are exploiting differences between crypto currencies and the
banking system as an excuse to prosecute members of the new industry.

Collecting arguments against such accusations should suffice [but I like the
maturation concept for dedicated accounts/transactions :-)].

Leszek